<?php
/* $obj = Mage::getModel('catalog/product');
$_product = $obj->load(1160);

echo $_product->getId().' / '.$_product->getStatus();
echo "<pre>";
print_r($_product);
echo "</pre>"; */
$_productCollection = $this->getLoadedProductCollection();

$_helper = $this->helper('catalog/output');
$_image_helper = $this->helper('catalog/image');
$store = Mage::app()->getStore();
$code = $store->getCode();
$aspect_ratio = Mage::getStoreConfig("porto_settings/category/aspect_ratio", $code);
$ratio_width = Mage::getStoreConfig("porto_settings/category/ratio_width", $code);
$ratio_height = Mage::getStoreConfig("porto_settings/category/ratio_height", $code);
$storeId = $store->getId();
if (!$ratio_width)
   $ratio_width = 300;
if (!$ratio_height)
   $ratio_height = 400;
?>
<?php
$_coreHelper = $this->helper('core');
?>
<?php if ($_coreHelper->isModuleEnabled("Magegiant_Dailydeal")): ?>
   <script type="text/javascript">
   //<![CDATA[
      var dailydealTimeCountersCategory = new Array();
      var i = 0;
   //]]>
   </script>
<?php endif; ?>

<?php if (!$_productCollection->count()): ?>
   <div class="category-products">
       <p class="note-msg"><?php echo $this->__('There are no products matching the selection.') ?></p>
   </div>
<?php else: ?>
   <div class="category-products">
       <?php echo $this->getToolbarHtml() ?>
       <?php // List mode ?>
       <?php if ($this->getMode() != 'grid'): ?>
          <?php $_iterator = 0; ?>
          <ol class="products-list" id="products-list">
              <?php foreach ($_productCollection as $_product): ?>
                 <?php $product = Mage::getModel('catalog/product')->load($_product->getId());
                 $store_only = Mage::getResourceModel('catalog/product')->getAttributeRawValue($product->getId(), 'selling_options', $storeId);
                  $visibility = $_product->getVisibility();
				  //if($visibility != 1){
				  ?>
                 <li class="item"><div class="item-area">
                         <div class="product-image-area">
                             <a href="<?php echo $_product->getProductUrl() ?>" title="<?php echo $this->stripTags($this->getImageLabel($_product, 'small_image'), null, true) ?>" class="product-image">
                                 <?php
                                 if (Mage::getStoreConfig("porto_settings/category/alternative_image", $code)) {
                                    ?>
                                    <img id="product-collection-image-<?php echo $_product->getId(); ?>" class="defaultImage" src="<?php if ($aspect_ratio): ?><?php echo $_image_helper->init($_product, 'small_image')->constrainOnly(FALSE)->keepAspectRatio(TRUE)->keepFrame(FALSE)->resize($ratio_width); ?><?php else: ?><?php echo $_image_helper->init($_product, 'small_image')->resize($ratio_width, $ratio_height); ?><?php endif; ?>" alt="<?php echo $this->stripTags($this->getImageLabel($_product, 'small_image'), null, true) ?>"/>
                                    <img class="hoverImage" src="<?php if ($aspect_ratio): ?><?php echo $_image_helper->init($_product, 'thumbnail')->constrainOnly(FALSE)->keepAspectRatio(TRUE)->keepFrame(FALSE)->resize($ratio_width); ?><?php else: ?><?php echo $_image_helper->init($_product, 'thumbnail')->resize($ratio_width, $ratio_height); ?><?php endif; ?>" alt="<?php echo $this->stripTags($this->getImageLabel($_product, 'thumbnail'), null, true) ?>"/>
                                    <?php
                                 } else {
                                    ?>
                                    <img id="product-collection-image-<?php echo $_product->getId(); ?>" src="<?php if ($aspect_ratio): ?><?php echo $_image_helper->init($_product, 'small_image')->constrainOnly(FALSE)->keepAspectRatio(TRUE)->keepFrame(FALSE)->resize($ratio_width); ?><?php else: ?><?php echo $_image_helper->init($_product, 'small_image')->resize($ratio_width, $ratio_height); ?><?php endif; ?>" alt="<?php echo $this->stripTags($this->getImageLabel($_product, 'small_image'), null, true) ?>"/>
                                    <?php
                                 }
                                 ?>
                                 <?php if ($_coreHelper->isModuleEnabled("Magegiant_Dailydeal")): ?>
                                    <?php
                                    if (Mage::getStoreConfig("dailydeal/general/enable", $code)) {
                                       $deal = Mage::getModel('dailydeal/dailydeal')->getDealByProduct($_product->getId());

                                       if ($deal && ($deal->getQuantity() - $deal->getSold() > 0)) {
                                          ?>
                                          <?php $now = Mage::getModel('core/date')->timestamp(time()) ?>
                                          <?php $endTime = Mage::getModel('core/date')->timestamp(strtotime($deal->getCloseTime())); ?>
                                          <div class="deal-label">
                                              <i class="icon-clock"></i>
                                          </div>
                                          <div class="bottom-product-dailydeal bottom-home-dailydeal">
                                              <ul class="time-left">
                                                  <div class="timeleft timeleft_<?php echo $_product->getId() ?>"> </div>
                                              </ul>
                                          </div>
                                          <script type="text/javascript">
                                             //<![CDATA[
                                             if (typeof dailydealTimeCountersCategory[<?php echo $deal->getId() ?>] == 'undefined') {
                                                 dailydealTimeCountersCategory[<?php echo $deal->getId() ?>] = new DailydealTimeCounter('<?php echo $now ?>', '<?php echo $endTime ?>', '<?php echo $deal->getId() ?>');
                                                 dailydealTimeCountersCategory[<?php echo $deal->getId() ?>].setTimeleft('timeleft_<?php echo $_product->getId() ?>');
                                             }
                                             //]]>
                                          </script>
                                          <?php
                                       }
                                    }
                                    ?>
                                 <?php endif; ?>
                             </a>
                             <?php
                             $sale_label = false;


                             // Get the Special Price
                             $specialprice = $product->getFinalPrice();
                             $orgprice = $product->getPrice();
                             // Get the Special Price FROM date
                             $specialPriceFromDate = $product->getSpecialFromDate();
                             // Get the Special Price TO date
                             $specialPriceToDate = $product->getSpecialToDate();
                             // Get Current date
                             $today = time();

                             if ($specialprice < $orgprice) {
                                $save_percent = 100 - round(($specialprice / $orgprice) * 100);
                                if ($today >= strtotime($specialPriceFromDate) && $today <= strtotime($specialPriceToDate) || $today >= strtotime($specialPriceFromDate) && is_null($specialPriceToDate)) {
                                   if (Mage::getStoreConfig("porto_settings/product_label/sale", $code)) {
                                      $sale_label = true;
                                      ?>
                                      <div class="product-label" style="right: 10px;"><span class="sale-product-icon"><?php if (Mage::getStoreConfig("porto_settings/product_label/sale_label_type", $code)): ?><?php echo "-" . $save_percent . "%"; ?><?php else: ?><?php echo Mage::getStoreConfig("porto_settings/product_label/sale_label_text", $code); ?><?php endif; ?></span></div>
                                      <?php
                                   }
                                }
                             }
                             ?>
                             <?php
                             $now = date("Y-m-d");
                             $newsFrom = substr($_product->getData('news_from_date'), 0, 10);
                             $newsTo = substr($_product->getData('news_to_date'), 0, 10);
                             if ($newsTo != '' || $newsFrom != '') {
                                if (($newsTo != '' && $newsFrom != '' && $now >= $newsFrom && $now <= $newsTo) || ($newsTo == '' && $now >= $newsFrom) || ($newsFrom == '' && $now <= $newsTo)) {
                                   if (Mage::getStoreConfig("porto_settings/product_label/new", $code)) {
                                      ?> 
                                      <div class="product-label" style="right: 10px; <?php echo ($sale_label) ? "top: 40px;" : ""; ?>"><span class="new-product-icon"><?php echo Mage::getStoreConfig("porto_settings/product_label/new_label_text", $code); ?></span></div>
                                      <?php
                                   }
                                }
                             }
                             ?>
                         </div>
                         <div class="details-area">
                             <h2 class="product-name"><a href="<?php echo $_product->getProductUrl() ?>" title="<?php echo $this->stripTags($_product->getName(), null, true) ?>"><?php echo $_helper->productAttribute($_product, $_product->getName(), 'name') ?></a></h2>
                             <?php if (Mage::getStoreConfig("porto_settings/category/rating_star", $code)): ?>
                                <?php
                                if (Mage::helper('catalog')->isModuleEnabled('Mage_Review')):
                                   ?>
                                   <?php
                                   $review_html = $this->getReviewsSummaryHtml($product, 'short');
                                   if ($review_html) {
                                      echo $review_html;
                                   } else {
                                      ?>
                                      <div class="ratings">
                                          <div class="rating-box">
                                              <div class="rating" style="width:0"></div>
                                          </div>
                                      </div>
                                      <?php
                                   }
                                   ?>
                                <?php endif; ?>
                             <?php endif; ?>
                             <?php
                             if ($this->getChild('name.after')) {
                                $_nameAfterChildren = $this->getChild('name.after')->getSortedChildren();
                                foreach ($_nameAfterChildren as $_nameAfterChildName) {
                                   $_nameAfterChild = $this->getChild('name.after')->getChild($_nameAfterChildName);
                                   $_nameAfterChild->setProduct($_product);
                                   echo $_nameAfterChild->toHtml();
                                }
                             }
                             ?>
                             <div class="short-desc">
                                 <?php echo $_helper->productAttribute($_product, $_product->getShortDescription(), 'short_description') ?>
                             </div>
                             <div class="action-area">
                                 <?php if (Mage::getStoreConfig("porto_settings/category/product_price", $code)): ?>
                                    <?php echo $this->getPriceHtml($_product, true) ?>
                                 <?php endif; ?>
                                 <?php if (Mage::getStoreConfig("porto_settings/category/actions", $code)): ?>
                                    <div class="actions">
                                        <div class="loader-container">
                                            <div class="loader">
                                                <i class="ajax-loader medium animate-spin"></i>
                                            </div>
                                        </div>
                                        <?php if (Mage::getStoreConfig("porto_settings/category/qty_field", $code)): ?>
                                           <?php if ($product->isSaleable()): ?>
                                              <?php if (!($product->getTypeInstance(true)->hasOptions($product) || $product->isGrouped())) : ?>
                                                 <?php if (!Mage::getStoreConfig("ajaxcart/addtocart/enablecategory", $code)): ?>
                                                    <form id="addtocart_form_<?php echo $_product->getId(); ?>" action="<?php echo $this->getAddToCartUrl($_product) ?>" method="post">
                                                        <input type="hidden" name="form_key" value="<?php echo Mage::getSingleton('core/session')->getFormKey(); ?>" />
                                                     <?php endif; ?>
                                                     <div class="qty-field">
                                                         <label for="qty"><?php echo $this->__('Qty:') ?></label>
                                                         <div class="qty-holder">
                                                             <input type="text" name="qty" id="qty_<?php echo $_product->getId(); ?>" maxlength="12" value="<?php echo $product->getProductDefaultQty() * 1 ?>" title="<?php echo $this->__('Qty') ?>" class="input-text qty" />
                                                             <div class="qty-changer">
                                                                 <a href="javascript:void(0)" class="qty_inc"><i class="icon-up-dir"></i></a>
                                                                 <a href="javascript:void(0)" class="qty_dec"><i class="icon-down-dir"></i></a>
                                                             </div>
                                                         </div>
                                                     </div>
                                                     <?php if (!Mage::getStoreConfig("ajaxcart/addtocart/enablecategory", $code)): ?>
                                                    </form>
                                                 <?php endif; ?>
                                              <?php endif; ?>
                                           <?php endif; ?>
                                        <?php endif; ?>
                                        <?php if ($product->isSaleable()): ?>
                                        <?php if($store_only == 7):
                                            else:
                                              ?>
                                               <?php if (!($product->getTypeInstance(true)->hasOptions($product)/* $_product->getData('has_options') */ || $product->isGrouped())) : ?>
                                                  <a href="<?php if (!Mage::getStoreConfig("ajaxcart/addtocart/enablecategory", $code) && !Mage::getStoreConfig("porto_settings/category/qty_field", $code)): ?><?php echo $this->getAddToCartUrl($_product) ?><?php else: ?>javascript:void(0)<?php endif; ?>" class="addtocart" title="<?php echo $this->__('Add to Cart') ?>" <?php if (Mage::getStoreConfig("ajaxcart/addtocart/enablecategory", $code)): ?>onclick="setLocationAjax(this, '<?php echo $this->getAddToCartUrl($_product) ?>', '<?php echo $_product->getId(); ?>')"<?php elseif (Mage::getStoreConfig("porto_settings/category/qty_field", $code)): ?>onclick="document.getElementById('addtocart_form_<?php echo $_product->getId(); ?>').submit()"<?php endif; ?>><i class="icon-cart"></i><span>&nbsp;<?php echo $this->__('Add to Cart') ?></span></a>
                                               <?php else : ?>
                                                  <a href="<?php if (Mage::getStoreConfig("ajaxcart/addtocart/enablecategory", $code)): ?>javascript:showOptions('<?php echo $_product->getId() ?>')<?php else: ?><?php echo $this->getAddToCartUrl($_product) ?><?php endif; ?>" class="addtocart" title="<?php echo $this->__('Add to Cart') ?>"><i class="icon-cart"></i><span>&nbsp;<?php echo $this->__('Add to Cart') ?></span></a>
                                                  <a href='<?php echo $this->getUrl('ajaxcart/index/options', array('product_id' => $_product->getId())); ?>' class='fancybox' id='fancybox<?php echo $_product->getId() ?>' style='display:none'>Options</a>
                                               <?php endif; ?>
                                           <?php endif; ?>
                                        <?php else: ?>
                                           <a href="javascript:void(0);" class="addtocart outofstock" title="<?php echo $this->__('Out of stock') ?>"><?php echo $this->__('Out of stock') ?></span></a>
                                        <?php endif; ?>
                                        <?php if ($this->helper('wishlist')->isAllow()) : ?>
                                           <a href="<?php if (Mage::getStoreConfig("ajaxcart/addtolinks/enablecategory", $code)): ?>javascript:void(0)<?php else: ?><?php echo $this->helper('wishlist')->getAddUrl($_product) ?><?php endif; ?>" <?php if (Mage::getStoreConfig("ajaxcart/addtolinks/enablecategory", $code)): ?>onclick="ajaxWishlist(this, '<?php echo $this->helper('wishlist')->getAddUrl($_product) ?>', '<?php echo $_product->getId() ?>');"<?php endif; ?> class="addtowishlist" title="<?php echo $this->__('Add to Wishlist') ?>"><i class="icon-wishlist"></i></a>
                                        <?php endif; ?>

                                        <?php if (Mage::getStoreConfig("porto_settings/category/compare", $code) && $_compareUrl = $this->getAddToCompareUrl($_product)): ?>
                                           <a href="<?php if (Mage::getStoreConfig("ajaxcart/addtolinks/enablecategory", $code)): ?>javascript:void(0)<?php else: ?><?php echo $_compareUrl ?><?php endif; ?>" <?php if (Mage::getStoreConfig("ajaxcart/addtolinks/enablecategory", $code)): ?>onclick="ajaxCompare(this, '<?php echo $_compareUrl ?>', '<?php echo $_product->getId() ?>');"<?php endif; ?> class="comparelink" title="<?php echo $this->__('Add to Compare') ?>"><i class="icon-compare"></i></a>
                                        <?php endif; ?>
                                        <?php
                                        if (Mage::getStoreConfig("quickview/general/enableview", $code)) {
                                           $base_url = $this->getUrl();
                                           if (strpos($base_url, '?') !== false)
                                              $base_url = explode("?", $this->getUrl());
                                           if (is_array($base_url))
                                              $base_url = $base_url[0];
//                                if(strpos($base_url,'index.php')!==false){
//                                    $base_url = str_replace('index.php/','',$base_url);
//                                    $base_url .= "quickview/index/view/";
//                                }else{
//                                    $base_url .= "quickview/index/view/";
//                                }
                                           $base_url .= "quickview/index/view/";
                                           $quickview_url = $base_url . "id/" . $_product->getId();
                                           ?>
                                           <a href="<?php echo $quickview_url; ?>" class="quickviewlink quickview-icon" title="<?php echo $this->__("Quick View"); ?>"><i class="icon-search"></i></a>
                                           <?php
                                        }
                                        ?>
                                        <div class="clearer"></div>
                                    </div>
                                 <?php endif; ?>
                             </div>
                         </div>
                         <div class="clearer"></div>
                     </div></li>
              <?php 
				 // }
			  endforeach; ?>
          </ol>
          <script type="text/javascript">decorateList('products-list', 'none-recursive')</script>

       <?php else: ?>

          <?php // Grid Mode  ?>

          <?php $_collectionSize = $_productCollection->count() ?>
          <?php $_columnCount = Mage::getStoreConfig("porto_settings/category_grid/columns", $code); 
          $c=1;
          ?>
          <ul class="products-grid <?php if (Mage::getStoreConfig("porto_settings/category_grid/flex_grid", $code)): ?>flex-grid<?php endif; ?> columns<?php echo $_columnCount; ?><?php if (!Mage::getStoreConfig("porto_settings/category_grid/show_addtolinks", $code)): ?> hide-addtolinks<?php endif; ?><?php if (!Mage::getStoreConfig("porto_settings/category_grid/show_addtocart", $code)): ?> hide-addtocart<?php endif; ?><?php if (Mage::getStoreConfig("porto_settings/category_grid/move_actions", $code)): ?> move-action<?php endif; ?> columcount_<?php echo $c; ?>">
              <?php
              $i = 0;$k=1;$c=1;
              foreach ($_productCollection as $_product):
				?>
                 <?php $product = Mage::getModel('catalog/product')->load($_product->getId()); 
                 $store_only = Mage::getResourceModel('catalog/product')->getAttributeRawValue($product->getId(), 'selling_options', $storeId);
                 $_product = $product;
				 $visibility = $_product->getVisibility();
				 //if($visibility != 1){
				 /* echo $product->getId().' - '.$product->getSku().' - '.$product->getStatus()." / ";
				 echo "<pre>";
				 print_r($product);
				 echo "</pre>"; */
                 ?>
                 <li class="item"><div class="item-area">
                         <div class="product-image-area">
                             <div class="loader-container">
                                 <div class="loader">
                                     <i class="ajax-loader medium animate-spin"></i>
                                 </div>
                             </div>
                             <?php
                             if (Mage::getStoreConfig("quickview/general/enableview", $code)) {
                                $base_url = $this->getUrl();
                                if (strpos($base_url, '?') !== false)
                                   $base_url = explode("?", $this->getUrl());
                                if (is_array($base_url))
                                   $base_url = $base_url[0];
//                        if(strpos($base_url,'index.php')!==false){
//                            $base_url = str_replace('index.php/','',$base_url);
//                            $base_url .= "index.php/quickview/index/view/";
//                        }else{
//                            $base_url .= "quickview/index/view/";
//                        }
                                $base_url .= "quickview/index/view/";
                                $quickview_url = $base_url . "id/" . $_product->getId();
                                ?>
                                <a href="<?php echo $quickview_url; ?>" class="quickview-icon"><i class="icon-export"></i><span><?php echo $this->__("Quick View"); ?></span></a>
                                <?php
                             }
                             ?>
                             <a href="<?php echo $_product->getProductUrl() ?>" title="<?php echo $this->stripTags($this->getImageLabel($_product, 'small_image'), null, true) ?>" class="product-image">
                                 <?php
                                 if (Mage::getStoreConfig("porto_settings/category/alternative_image", $code)) {
                                    
									?>
                                    <img id="product-collection-image-<?php echo $_product->getId(); ?>" class="defaultImage" src="<?php if ($aspect_ratio): ?><?php echo $_image_helper->init($_product, 'small_image')->constrainOnly(FALSE)->keepAspectRatio(TRUE)->keepFrame(FALSE)->resize($ratio_width); ?><?php else: ?><?php echo $_image_helper->init($_product, 'small_image')->resize($ratio_width, $ratio_height); ?><?php endif; ?>" alt="<?php echo $this->stripTags($this->getImageLabel($_product, 'small_image'), null, true) ?>"/>
                                    <img class="hoverImage" src="<?php if ($aspect_ratio): ?><?php echo $_image_helper->init($_product, 'thumbnail')->constrainOnly(FALSE)->keepAspectRatio(TRUE)->keepFrame(FALSE)->resize($ratio_width); ?><?php else: ?><?php echo $_image_helper->init($_product, 'thumbnail')->resize($ratio_width, $ratio_height); ?><?php endif; ?>" alt="<?php echo $this->stripTags($this->getImageLabel($_product, 'thumbnail'), null, true) ?>"/>
                                    <?php
                                 } else {
                                    ?>
                                    <img id="product-collection-image-<?php echo $_product->getId(); ?>" src="<?php if ($aspect_ratio): ?><?php echo $_image_helper->init($_product, 'small_image')->constrainOnly(FALSE)->keepAspectRatio(TRUE)->keepFrame(FALSE)->resize($ratio_width); ?><?php else: ?><?php echo $_image_helper->init($_product, 'small_image')->resize($ratio_width, $ratio_height); ?><?php endif; ?>" alt="<?php echo $this->stripTags($this->getImageLabel($_product, 'small_image'), null, true) ?>"/>
                                    <?php
                                 }
                                 ?>
                                 <?php if ($_coreHelper->isModuleEnabled("Magegiant_Dailydeal")): ?>
                                    <?php
                                    if (Mage::getStoreConfig("dailydeal/general/enable", $code)) {
                                       $deal = Mage::getModel('dailydeal/dailydeal')->getDealByProduct($_product->getId());

                                       if ($deal && ($deal->getQuantity() - $deal->getSold() > 0)) {
                                          ?>
                                          <?php $now = Mage::getModel('core/date')->timestamp(time()) ?>
                                          <?php $endTime = Mage::getModel('core/date')->timestamp(strtotime($deal->getCloseTime())); ?>
                                          <div class="deal-label">
                                              <i class="icon-clock"></i>
                                          </div>
                                          <div class="bottom-product-dailydeal bottom-home-dailydeal">
                                              <ul class="time-left">
                                                  <div class="timeleft timeleft_<?php echo $_product->getId() ?>"> </div>
                                              </ul>
                                          </div>
                                          <script type="text/javascript">
                                             //<![CDATA[
                                             if (typeof dailydealTimeCountersCategory[<?php echo $deal->getId() ?>] == 'undefined') {
                                                 dailydealTimeCountersCategory[<?php echo $deal->getId() ?>] = new DailydealTimeCounter('<?php echo $now ?>', '<?php echo $endTime ?>', '<?php echo $deal->getId() ?>');
                                                 dailydealTimeCountersCategory[<?php echo $deal->getId() ?>].setTimeleft('timeleft_<?php echo $_product->getId() ?>');
                                             }
                                             //]]>
                                          </script>
                                          <?php
                                       }
                                    }
                                    ?>
                                 <?php endif; ?>
                             </a>
                             <?php
                             $sale_label = false;


                             // Get the Special Price
                             $specialprice = $product->getFinalPrice();
                             $orgprice = $product->getPrice();
                             // Get the Special Price FROM date
                             $specialPriceFromDate = $product->getSpecialFromDate();
                             // Get the Special Price TO date
                             $specialPriceToDate = $product->getSpecialToDate();
                             // Get Current date
                             $today = time();

                             if ($specialprice < $orgprice) {
                                $save_percent = 100 - round(($specialprice / $orgprice) * 100);
                                if ($today >= strtotime($specialPriceFromDate) && $today <= strtotime($specialPriceToDate) || $today >= strtotime($specialPriceFromDate) && is_null($specialPriceToDate)) {
                                   if (Mage::getStoreConfig("porto_settings/product_label/sale", $code)) {
                                      $sale_label = true;
                                      ?>
                                      <div class="product-label" style="right: 10px;"><span class="sale-product-icon"><?php if (Mage::getStoreConfig("porto_settings/product_label/sale_label_type", $code)): ?><?php echo "-" . $save_percent . "%"; ?><?php else: ?><?php echo Mage::getStoreConfig("porto_settings/product_label/sale_label_text", $code); ?><?php endif; ?></span></div>
                                      <?php
                                   }
                                }
                             }
                             ?>
                             <?php
                             $now = date("Y-m-d");
                             $newsFrom = substr($_product->getData('news_from_date'), 0, 10);
                             $newsTo = substr($_product->getData('news_to_date'), 0, 10);
                             if ($newsTo != '' || $newsFrom != '') {
                                if (($newsTo != '' && $newsFrom != '' && $now >= $newsFrom && $now <= $newsTo) || ($newsTo == '' && $now >= $newsFrom) || ($newsFrom == '' && $now <= $newsTo)) {
                                   if (Mage::getStoreConfig("porto_settings/product_label/new", $code)) {
                                      ?> 
                                      <div class="product-label" style="right: 10px; <?php echo ($sale_label) ? "top: 40px;" : ""; ?>"><span class="new-product-icon"><?php echo Mage::getStoreConfig("porto_settings/product_label/new_label_text", $code); ?></span></div>
                                      <?php
                                   }
                                }
                             }
                             ?>
                         </div>
                         <div class="details-area">
                             <?php if (Mage::getStoreConfig("porto_settings/category/product_price", $code)): ?>
                                <?php #echo $this->getPriceHtml($_product, true) ?>
                                 <!-- Casareno custom price listing start here-->
                                <?php
                              //print_r($_product->getTierPrices());
                              //$lowestTierPrice = $_product->getResource()->getAttribute('tier_price')->getFrontend()->getValue($_product); 
                              //$lowestTierPrice = Mage::helper('core')->currency($lowestTierPrice, true, true);
                              $special = $product->getSpecialPrice();
                              if ($special)
                                 $low_flag = true;
                              else
                                 $low_flag = true;

                              $lowest_price = (float) $special;
                              ?>

                              <?php
                              if ($_tierPrices = $product->getTierPrice()):
                                 foreach ($_tierPrices as $_index => $_price) {
                                       if (!$lowest_price)
                                          $lowest_price = $_price['website_price'];
                                       elseif ($lowest_price > $_price['website_price'])
                                          $lowest_price = $_price['website_price'];
                                    }
                                    $low_flag = true;
                                 else:
                                    $lowest_price = $product->getFinalPrice(); 
                                 endif;
                                 ?>

                              <span class="lowest"><?php
                                  if ($low_flag)
                                     echo $this->__('As low as');
                                  else
                                     echo '&nbsp;'
                                     ?></span>
                              <?php
                              $unit = (float) $product->getMicoCartonUnit();
                              $unit_text = $product->getAttributeText('mico_carton_unit_suff');
                              if ($unit_text && !$unit)
                                 $unit = 1;
                              ?>
                              <h2>
                                  <?php if ($unit): ?>
                                    <?php //echo $lowest_price.'----'.$unit; ?>
                                     <?php echo Mage::helper('core')->currency($lowest_price / $unit, true, false) ?>
                                     <?php echo '/' . $unit_text ?>
                                  <?php else: ?>
                                     <?php echo Mage::helper('core')->currency($lowest_price, true, false); ?>
                                  <?php endif ?>

                              </h2>
                                 <?php 
                                 if ($product->getPrice($product, true) != $lowest_price): ?>
                                 <h5>
                                     <?php if ($unit): ?>
                                        <span class="unit_price old-price test2">
                                            <?php echo Mage::helper('core')->currency($product->getPrice() / $unit, true, false) ?>
                                        </span>
                                        <?php echo '/' . $unit_text ?>
                                     <?php else: ?>
                                        <span class="unit_price old-price  test3">
                                            <?php echo Mage::helper('core')->currency($product->getPrice(), true, false) ?>
                                        </span>
                                     <?php endif ?>
                                     </strike>
                                 </h5>
                              <?php endif ?>
                              <!--  Casareno Custom Price Listing End here-->
                             <?php endif; ?>
                             <?php if (Mage::getStoreConfig("porto_settings/category/rating_star", $code)): ?>
                                <?php
                                if (Mage::helper('catalog')->isModuleEnabled('Mage_Review')):
                                   ?>
                                   <?php
                                   $review_html = $this->getReviewsSummaryHtml($product, 'short');
                                   if ($review_html) {
                                      echo $review_html;
                                   } else {
                                      ?>
                                      <div class="ratings">
                                          <div class="rating-box">
                                              <div class="rating" style="width:0"></div>
                                          </div>
                                      </div>
                                      <?php
                                   }
                                   ?>
                                <?php endif; ?>
                             <?php endif; ?>
                             <?php
                             if ($this->getChild('name.after')) {
                                $_nameAfterChildren = $this->getChild('name.after')->getSortedChildren();
                                foreach ($_nameAfterChildren as $_nameAfterChildName) {
                                   $_nameAfterChild = $this->getChild('name.after')->getChild($_nameAfterChildName);
                                   $_nameAfterChild->setProduct($_product);
                                   echo $_nameAfterChild->toHtml();
                                }
                             }
                             ?>
                             
                             <h2 class="product-name">
                              <a href="<?php echo $_product->getProductUrl() ?>" title="<?php echo $this->stripTags($_product->getName(), null, true) ?>"><?php echo $_helper->productAttribute($_product, $_product->getName(), 'name') ?></a>
                            </h2>
                             <?php if (Mage::getStoreConfig("porto_settings/category/actions", $code)): ?>
                                <div class="actions">
                                    <?php if (Mage::getStoreConfig("porto_settings/category/qty_field", $code)): ?>
                                       <?php if ($product->isSaleable()): ?>
                                          <?php if (!($product->getTypeInstance(true)->hasOptions($product) || $product->isGrouped())) : ?>
                                             <?php if (!Mage::getStoreConfig("ajaxcart/addtocart/enablecategory", $code)): ?>
                                                <form id="addtocart_form_<?php echo $_product->getId(); ?>" action="<?php echo $this->getAddToCartUrl($_product) ?>" method="post">
                                                    <input type="hidden" name="form_key" value="<?php echo Mage::getSingleton('core/session')->getFormKey(); ?>" />
                                                 <?php endif; ?>
                                                 <div class="qty-field">
                                                     <label for="qty"><?php echo $this->__('Qty:') ?></label>
                                                     <div class="qty-holder">
                                                         <input type="text" name="qty" id="qty_<?php echo $_product->getId(); ?>" maxlength="12" value="<?php echo $product->getProductDefaultQty() * 1 ?>" title="<?php echo $this->__('Qty') ?>" class="input-text qty" />
                                                         <div class="qty-changer">
                                                             <a href="javascript:void(0)" class="qty_inc"><i class="icon-up-dir"></i></a>
                                                             <a href="javascript:void(0)" class="qty_dec"><i class="icon-down-dir"></i></a>
                                                         </div>
                                                     </div>
                                                 </div>
                                                 <?php if (!Mage::getStoreConfig("ajaxcart/addtocart/enablecategory", $code)): ?>
                                                </form>
                                             <?php endif; ?>
                                          <?php endif; ?>
                                       <?php endif; ?>
                                    <?php endif; ?>
                                    <?php if ($this->helper('wishlist')->isAllow()) : ?>
                                       <a href="<?php if (Mage::getStoreConfig("ajaxcart/addtolinks/enablecategory", $code)): ?>javascript:void(0)<?php else: ?><?php echo $this->helper('wishlist')->getAddUrl($_product) ?><?php endif; ?>" <?php if (Mage::getStoreConfig("ajaxcart/addtolinks/enablecategory", $code)): ?>onclick="ajaxWishlist(this, '<?php echo $this->helper('wishlist')->getAddUrl($_product) ?>', '<?php echo $_product->getId() ?>');"<?php endif; ?> class="addtowishlist" title="<?php echo $this->__('Add to Wishlist') ?>"><i class="icon-wishlist"></i></a>
                                    <?php endif; ?>
                                    <?php if ($product->isSaleable()): ?>
                                      
                                      <?php $loadProduct = Mage::getModel('catalog/product')->load($_product->getId());  $min_carton=$loadProduct['mico_carton_min'];$min_carton_unit=$loadProduct['mico_carton_unit']; if(($min_carton=='' || $min_carton==null) ){$min_carton=1;$min_carton_unit=1;}elseif($min_carton_unit=='' || $min_carton_unit==null){$min_carton_unit=1;} $min_qty=(int)($min_carton/$min_carton_unit); //echo 'min: '.$min_carton_unit.'cartoon: '.$min_carton.'qty: '.$min_qty; //echo '<pre>'; print_r($loadProduct);exit;
									     
											if($store_only == 7):
                                            else:
                                            ?>
                                             <?php if (!($product->getTypeInstance(true)->hasOptions($product)/* $_product->getData('has_options') */ || $product->isGrouped())) : ?>
                                                <a href="<?php if (!Mage::getStoreConfig("ajaxcart/addtocart/enablecategory", $code) && !Mage::getStoreConfig("porto_settings/category/qty_field", $code)): ?><?php echo $this->getAddToCartUrl($_product).'qty/'.$min_qty; ?><?php else: ?>javascript:void(0)<?php endif; ?>" class="addtocart" title="<?php echo $this->__('Add to Cart') ?>" <?php if (Mage::getStoreConfig("ajaxcart/addtocart/enablecategory", $code)): ?>onclick="setLocationAjax(this, '<?php echo $this->getAddToCartUrl($_product) ?>', '<?php echo $_product->getId(); ?>')"<?php elseif (Mage::getStoreConfig("porto_settings/category/qty_field", $code)): ?>onclick="document.getElementById('addtocart_form_<?php echo $_product->getId(); ?>').submit()"<?php endif; ?>><i class="icon-cart"></i><span>&nbsp;<?php echo $this->__('Add to Cart') ?></span></a>
                                             <?php else : ?>
                                                <a href="<?php if (Mage::getStoreConfig("ajaxcart/addtocart/enablecategory", $code)): ?>javascript:showOptions('<?php echo $_product->getId() ?>')<?php else: ?><?php echo $this->getAddToCartUrl($_product) ?><?php endif; ?>" class="addtocart" title="<?php echo $this->__('Add to Cart') ?>"><i class="icon-cart"></i><span>&nbsp;<?php echo $this->__('Add to Cart') ?></span></a>
                                                <a href='<?php echo $this->getUrl('ajaxcart/index/options', array('product_id' => $_product->getId())); ?>' class='fancybox' id='fancybox<?php echo $_product->getId() ?>' style='display:none'>Options</a>
                                             <?php endif; ?>
                                      <?php endif; ?>
                                    <?php else: ?>
                                       <a href="javascript:void(0);" class="addtocart outofstock" title="<?php echo $this->__('Out of stock') ?>"><?php echo $this->__('Out of stock') ?></span></a>
                                    <?php endif; ?>
                                    <?php if (Mage::getStoreConfig("porto_settings/category/compare", $code) && $_compareUrl = $this->getAddToCompareUrl($_product)): ?>
                                       <a href="<?php if (Mage::getStoreConfig("ajaxcart/addtolinks/enablecategory", $code)): ?>javascript:void(0)<?php else: ?><?php echo $_compareUrl ?><?php endif; ?>" <?php if (Mage::getStoreConfig("ajaxcart/addtolinks/enablecategory", $code)): ?>onclick="ajaxCompare(this, '<?php echo $_compareUrl ?>', '<?php echo $_product->getId() ?>');"<?php endif; ?> class="comparelink" title="<?php echo $this->__('Add to Compare') ?>"><i class="icon-compare"></i></a>
                                    <?php endif; ?>
                                    <div class="clearer"></div>
                                </div>
                             <?php endif; ?>
                         </div>
                     </div></li>
              <?php 
              
              if($k==$_columnCount){
                if($c == $_columnCount-1){
                  //break;
                }
                echo '</ul>';
                $c++;
                ?>
                <ul class="products-grid <?php if (Mage::getStoreConfig("porto_settings/category_grid/flex_grid", $code)): ?>flex-grid<?php endif; ?> columns<?php echo $_columnCount; ?><?php if (!Mage::getStoreConfig("porto_settings/category_grid/show_addtolinks", $code)): ?> hide-addtolinks<?php endif; ?><?php if (!Mage::getStoreConfig("porto_settings/category_grid/show_addtocart", $code)): ?> hide-addtocart<?php endif; ?><?php if (Mage::getStoreConfig("porto_settings/category_grid/move_actions", $code)): ?> move-action<?php endif; ?> columcount_<?php echo $c; ?>">
                  <?php
                  $k=0;
              }
              $k++;
					//}
              endforeach ?>
          </ul>
            <script type="text/javascript">
            jQuery(document).ready(function(){  
              var testcls = jQuery('.products-grid:last').attr('class').split(' ')[3];
              test = testcls.split('_')[1];
              for(i=1;i<=test;i++) {
                var heights = jQuery(".columcount_"+i+" .product-name").map(function (){
                  return jQuery(this).height();
                }).get(),
                maxHeight = Math.max.apply(null, heights);
                jQuery(".columcount_"+i+" .product-name").css('height',maxHeight+'px');
                //alert(heights);
              } 
              //console.log(test);
              
            });
            </script>                         

          <script type="text/javascript">
             jQuery('.col-main .products-grid li:nth-child(2n)').addClass('nth-child-2n');
             jQuery('.col-main .products-grid li:nth-child(2n+1)').addClass('nth-child-2np1');
             jQuery('.col-main .products-grid li:nth-child(3n)').addClass('nth-child-3n');
             jQuery('.col-main .products-grid li:nth-child(3n+1)').addClass('nth-child-3np1');
             jQuery('.col-main .products-grid li:nth-child(4n)').addClass('nth-child-4n');
             jQuery('.col-main .products-grid li:nth-child(4n+1)').addClass('nth-child-4np1');
             jQuery('.col-main .products-grid li:nth-child(5n)').addClass('nth-child-5n');
             jQuery('.col-main .products-grid li:nth-child(5n+1)').addClass('nth-child-5np1');
             jQuery('.col-main .products-grid li:nth-child(6n)').addClass('nth-child-6n');
             jQuery('.col-main .products-grid li:nth-child(6n+1)').addClass('nth-child-6np1');
             jQuery('.col-main .products-grid li:nth-child(7n)').addClass('nth-child-7n');
             jQuery('.col-main .products-grid li:nth-child(7n+1)').addClass('nth-child-7np1');
             jQuery('.col-main .products-grid li:nth-child(8n)').addClass('nth-child-8n');
             jQuery('.col-main .products-grid li:nth-child(8n+1)').addClass('nth-child-8np1');
          </script>
       <?php endif; ?>
       <?php if (Mage::getStoreConfig("ajax_catalog/price_slider_settings/infinitescroll", $code)): ?>
          <div class="infinite-loader"><span class="loading"><i class="ajax-loader small animate-spin"></i><?php echo $this->__("Loading ..."); ?></span><a href="javascript:void(0)" class="btn-load-more"><?php echo $this->__("Load More ..."); ?></a></div>
       <?php endif; ?>
       <div class="toolbar-bottom">
           <?php echo $this->getToolbarHtml() ?>
       </div>
   </div>
<?php endif; ?>
<div class="swatches-js">
    <?php
// Provides a block where additional page components may be attached, primarily good for in-page JavaScript
    if ($this->getChild('after')) {
       $_afterChildren = $this->getChild('after')->getSortedChildren();
       foreach ($_afterChildren as $_afterChildName) {
          $_afterChild = $this->getChild('after')->getChild($_afterChildName);
          //set product collection on after blocks
          $_afterChild->setProductCollection($_productCollection);
          echo $_afterChild->toHtml();
       }
    }
    ?>
</div>